%{?python_enable_dependency_generator}
%global pypi_name ansible-runner
Name:                python-%{pypi_name}
Version:             1.4.6
Release:             3
Summary:             A tool and python library to interface with Ansible
License:             ASL 2.0
URL:                 https://github.com/ansible/ansible-runner
Source0:             https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       ansible >= 2.6
BuildRequires:       python3-devel python3dist(mock) python3dist(psutil) python3dist(pexpect) >= 4.6
BuildRequires:       python3dist(pytest) python3dist(pyyaml) python3dist(setuptools)
BuildRequires:       python3dist(six) python3dist(python-daemon)
%description
Ansible Runner is a tool and python library that helps when interfacing with
Ansible from other systems whether through a container image interface, as a
standalone tool, or imported into a python project.

%package -n          python3-%{pypi_name}
Summary:             %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:            ansible >= 2.6 python3-daemon python3dist(pexpect) >= 4.6 python3dist(psutil)
Requires:            python3dist(pyyaml) python3dist(setuptools) python3dist(six)
%description -n python3-%{pypi_name}
Ansible Runner is a tool and python library that helps when interfacing with
Ansible from other systems whether through a container image interface, as a
standalone tool, or imported into a python project.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
cp %{buildroot}/%{_bindir}/ansible-runner %{buildroot}/%{_bindir}/ansible-runner-%{python3_version}
ln -s %{_bindir}/ansible-runner-%{python3_version} %{buildroot}/%{_bindir}/ansible-runner-3

%check
py.test-3 -v test

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/ansible-runner-3
%{_bindir}/ansible-runner-%{python3_version}
%{python3_sitelib}/ansible_runner
%{python3_sitelib}/ansible_runner-%{version}-py%{python3_version}.egg-info
%{_bindir}/ansible-runner
%exclude %{python3_sitelib}/test/

%changelog
* Mon Aug 28 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 1.4.6-3
- Do not package test files

* Tue Feb 28 2023 wulei <wulei80@h-partners.com> - 1.4.6-2
- Remove reduncency cache file

* Wed Aug 25 2021 huanghaitao <huanghaitao8@huawei.com> - 1.4.6-1
- package init
